Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

source: orxonox.OLD/orxonox/branches/bensch/config.status @ 1814

Last change on this file since 1814 was 1814, checked in by bensch, 20 years ago

orxonox/brnaches/bensch: added autoproject configuration

  • Property svn:executable set to *
File size: 37.6 KB
Line 
1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17  emulate sh
18  NULLCMD=:
19  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20  # is contrary to our usage.  Disable this feature.
21  alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23  set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29  as_unset=unset
30else
31  as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45  LC_TELEPHONE LC_TIME
46do
47  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48    eval $as_var=C; export $as_var
49  else
50    $as_unset $as_var
51  fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56  as_expr=expr
57else
58  as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62  as_basename=basename
63else
64  as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71         X"$0" : 'X\(//\)$' \| \
72         X"$0" : 'X\(/\)$' \| \
73         .     : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76          /^X\/\(\/\/\)$/{ s//\1/; q; }
77          /^X\/\(\/\).*/{ s//\1/; q; }
78          s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91  echo "#! /bin/sh" >conf$$.sh
92  echo  "exit 0"   >>conf$$.sh
93  chmod +x conf$$.sh
94  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95    PATH_SEPARATOR=';'
96  else
97    PATH_SEPARATOR=:
98  fi
99  rm -f conf$$.sh
100fi
101
102
103  as_lineno_1=$LINENO
104  as_lineno_2=$LINENO
105  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106  test "x$as_lineno_1" != "x$as_lineno_2" &&
107  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108  # Find who we are.  Look in the path if we contain no path at all
109  # relative or not.
110  case $0 in
111    *[\\/]* ) as_myself=$0 ;;
112    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115  IFS=$as_save_IFS
116  test -z "$as_dir" && as_dir=.
117  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120       ;;
121  esac
122  # We did not find ourselves, most probably we were run as `sh COMMAND'
123  # in which case we are not to be found in the path.
124  if test "x$as_myself" = x; then
125    as_myself=$0
126  fi
127  if test ! -f "$as_myself"; then
128    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130   { (exit 1); exit 1; }; }
131  fi
132  case $CONFIG_SHELL in
133  '')
134    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137  IFS=$as_save_IFS
138  test -z "$as_dir" && as_dir=.
139  for as_base in sh bash ksh sh5; do
140         case $as_dir in
141         /*)
142           if ("$as_dir/$as_base" -c '
143  as_lineno_1=$LINENO
144  as_lineno_2=$LINENO
145  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146  test "x$as_lineno_1" != "x$as_lineno_2" &&
147  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148             $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149             $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150             CONFIG_SHELL=$as_dir/$as_base
151             export CONFIG_SHELL
152             exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153           fi;;
154         esac
155       done
156done
157;;
158  esac
159
160  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161  # uniformly replaced by the line number.  The first 'sed' inserts a
162  # line-number line before each line; the second 'sed' does the real
163  # work.  The second script uses 'N' to pair each line-number line
164  # with the numbered line, and appends trailing '-' during
165  # substitution so that $LINENO is not a special case at line end.
166  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168  sed '=' <$as_myself |
169    sed '
170      N
171      s,$,-,
172      : loop
173      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174      t loop
175      s,-$,,
176      s,^['$as_cr_digits']*\n,,
177    ' >$as_me.lineno &&
178  chmod +x $as_me.lineno ||
179    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181   { (exit 1); exit 1; }; }
182
183  # Don't try to exec as it changes $[0], causing all sort of problems
184  # (the dirname of $[0] is not the place where we might find the
185  # original and so on.  Autoconf is especially sensible to this).
186  . ./$as_me.lineno
187  # Exit status is that of the last command.
188  exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193  *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T='      ' ;;
195  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200  as_expr=expr
201else
202  as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208  # We could just check for DJGPP; but this test a) works b) is more generic
209  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210  if test -f conf$$.exe; then
211    # Don't use ln at all; we don't have any links
212    as_ln_s='cp -p'
213  else
214    as_ln_s='ln -s'
215  fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217  as_ln_s=ln
218else
219  as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224  as_mkdir_p=:
225else
226  test -d ./-p && rmdir ./-p
227  as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS="   $as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling.  Logging --version etc. is OK.
253exec 5>>config.log
254{
255  echo
256  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by $as_me, which was
263generated by GNU Autoconf 2.58.  Invocation command line was
264
265  CONFIG_FILES    = $CONFIG_FILES
266  CONFIG_HEADERS  = $CONFIG_HEADERS
267  CONFIG_LINKS    = $CONFIG_LINKS
268  CONFIG_COMMANDS = $CONFIG_COMMANDS
269  $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" Makefile orxonox.lsm orxonox.spec"
275config_headers=" config.h"
276config_commands=" depfiles"
277
278ac_cs_usage="\
279\`$as_me' instantiates files from templates according to the
280current configuration.
281
282Usage: $0 [OPTIONS] [FILE]...
283
284  -h, --help       print this help, then exit
285  -V, --version    print version number, then exit
286  -q, --quiet      do not print progress messages
287  -d, --debug      don't remove temporary files
288      --recheck    update $as_me by reconfiguring in the same conditions
289  --file=FILE[:TEMPLATE]
290                   instantiate the configuration file FILE
291  --header=FILE[:TEMPLATE]
292                   instantiate the configuration header FILE
293
294Configuration files:
295$config_files
296
297Configuration headers:
298$config_headers
299
300Configuration commands:
301$config_commands
302
303Report bugs to <bug-autoconf@gnu.org>."
304ac_cs_version="\
305config.status
306configured by ./configure, generated by GNU Autoconf 2.58,
307  with options \"'CC=gcc' 'CXX=g++'\"
308
309Copyright (C) 2003 Free Software Foundation, Inc.
310This config.status script is free software; the Free Software Foundation
311gives unlimited permission to copy, distribute and modify it."
312srcdir=.
313INSTALL="/bin/install -c"
314# If no file are specified by the user, then we need to provide default
315# value.  By we need to know if files were specified by the user.
316ac_need_defaults=:
317while test $# != 0
318do
319  case $1 in
320  --*=*)
321    ac_option=`expr "x$1" : 'x\([^=]*\)='`
322    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323    ac_shift=:
324    ;;
325  -*)
326    ac_option=$1
327    ac_optarg=$2
328    ac_shift=shift
329    ;;
330  *) # This is not an option, so the user has probably given explicit
331     # arguments.
332     ac_option=$1
333     ac_need_defaults=false;;
334  esac
335
336  case $ac_option in
337  # Handling of the options.
338  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339    ac_cs_recheck=: ;;
340  --version | --vers* | -V )
341    echo "$ac_cs_version"; exit 0 ;;
342  --he | --h)
343    # Conflict between --help and --header
344    { { echo "$as_me:$LINENO: error: ambiguous option: $1
345Try \`$0 --help' for more information." >&5
346echo "$as_me: error: ambiguous option: $1
347Try \`$0 --help' for more information." >&2;}
348   { (exit 1); exit 1; }; };;
349  --help | --hel | -h )
350    echo "$ac_cs_usage"; exit 0 ;;
351  --debug | --d* | -d )
352    debug=: ;;
353  --file | --fil | --fi | --f )
354    $ac_shift
355    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356    ac_need_defaults=false;;
357  --header | --heade | --head | --hea )
358    $ac_shift
359    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360    ac_need_defaults=false;;
361  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362  | -silent | --silent | --silen | --sile | --sil | --si | --s)
363    ac_cs_silent=: ;;
364
365  # This is an error.
366  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367Try \`$0 --help' for more information." >&5
368echo "$as_me: error: unrecognized option: $1
369Try \`$0 --help' for more information." >&2;}
370   { (exit 1); exit 1; }; } ;;
371
372  *) ac_config_targets="$ac_config_targets $1" ;;
373
374  esac
375  shift
376done
377
378ac_configure_extra_args=
379
380if $ac_cs_silent; then
381  exec 6>/dev/null
382  ac_configure_extra_args="$ac_configure_extra_args --silent"
383fi
384
385if $ac_cs_recheck; then
386  echo "running /bin/sh ./configure " 'CC=gcc' 'CXX=g++' $ac_configure_extra_args " --no-create --no-recursion" >&6
387  exec /bin/sh ./configure 'CC=gcc' 'CXX=g++' $ac_configure_extra_args --no-create --no-recursion
388fi
389
390#
391# INIT-COMMANDS section.
392#
393
394AMDEP_TRUE="" ac_aux_dir="."
395
396for ac_config_target in $ac_config_targets
397do
398  case "$ac_config_target" in
399  # Handling of arguments.
400  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401  "orxonox.lsm" ) CONFIG_FILES="$CONFIG_FILES orxonox.lsm" ;;
402  "orxonox.spec" ) CONFIG_FILES="$CONFIG_FILES orxonox.spec" ;;
403  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
404  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
405  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
406echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
407   { (exit 1); exit 1; }; };;
408  esac
409done
410
411# If the user did not use the arguments to specify the items to instantiate,
412# then the envvar interface is used.  Set only those that are not.
413# We use the long form for the default assignment because of an extremely
414# bizarre bug on SunOS 4.1.3.
415if $ac_need_defaults; then
416  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
417  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
418  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
419fi
420
421# Have a temporary directory for convenience.  Make it in the build tree
422# simply because there is no reason to put it here, and in addition,
423# creating and moving files from /tmp can sometimes cause problems.
424# Create a temporary directory, and hook for its removal unless debugging.
425$debug ||
426{
427  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
428  trap '{ (exit 1); exit 1; }' 1 2 13 15
429}
430
431# Create a (secure) tmp directory for tmp files.
432
433{
434  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
435  test -n "$tmp" && test -d "$tmp"
436}  ||
437{
438  tmp=./confstat$$-$RANDOM
439  (umask 077 && mkdir $tmp)
440} ||
441{
442   echo "$me: cannot create a temporary directory in ." >&2
443   { (exit 1); exit 1; }
444}
445
446
447#
448# CONFIG_FILES section.
449#
450
451# No need to generate the scripts if there are no CONFIG_FILES.
452# This happens for instance when ./config.status config.h
453if test -n "$CONFIG_FILES"; then
454  # Protect against being on the right side of a sed subst in config.status.
455  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
456   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
457s,@SHELL@,/bin/sh,;t t
458s,@PATH_SEPARATOR@,:,;t t
459s,@PACKAGE_NAME@,,;t t
460s,@PACKAGE_TARNAME@,,;t t
461s,@PACKAGE_VERSION@,,;t t
462s,@PACKAGE_STRING@,,;t t
463s,@PACKAGE_BUGREPORT@,,;t t
464s,@exec_prefix@,${prefix},;t t
465s,@prefix@,/usr/local,;t t
466s,@program_transform_name@,s,x,x,,;t t
467s,@bindir@,${exec_prefix}/bin,;t t
468s,@sbindir@,${exec_prefix}/sbin,;t t
469s,@libexecdir@,${exec_prefix}/libexec,;t t
470s,@datadir@,${prefix}/share,;t t
471s,@sysconfdir@,${prefix}/etc,;t t
472s,@sharedstatedir@,${prefix}/com,;t t
473s,@localstatedir@,${prefix}/var,;t t
474s,@libdir@,${exec_prefix}/lib,;t t
475s,@includedir@,${prefix}/include,;t t
476s,@oldincludedir@,/usr/include,;t t
477s,@infodir@,${prefix}/info,;t t
478s,@mandir@,${prefix}/man,;t t
479s,@build_alias@,,;t t
480s,@host_alias@,,;t t
481s,@target_alias@,,;t t
482s,@DEFS@,-DHAVE_CONFIG_H,;t t
483s,@ECHO_C@,,;t t
484s,@ECHO_N@,-n,;t t
485s,@ECHO_T@,,;t t
486s,@LIBS@,,;t t
487s,@INSTALL_PROGRAM@,${INSTALL},;t t
488s,@INSTALL_SCRIPT@,${INSTALL},;t t
489s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
490s,@CYGPATH_W@,echo,;t t
491s,@PACKAGE@,orxonox,;t t
492s,@VERSION@,0.0.0,;t t
493s,@ACLOCAL@,aclocal-1.8,;t t
494s,@AUTOCONF@,autoconf,;t t
495s,@AUTOMAKE@,automake-1.8,;t t
496s,@AUTOHEADER@,autoheader,;t t
497s,@MAKEINFO@,makeinfo,;t t
498s,@AMTAR@,tar,;t t
499s,@install_sh@,/home/bensch/svn/orxonox/branches/bensch/install-sh,;t t
500s,@STRIP@,,;t t
501s,@ac_ct_STRIP@,,;t t
502s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
503s,@mkdir_p@,mkdir -p -- .,;t t
504s,@AWK@,gawk,;t t
505s,@SET_MAKE@,,;t t
506s,@am__leading_dot@,.,;t t
507s,@ISODATE@,2004-04-13,;t t
508s,@build@,i686-pc-linux-gnu,;t t
509s,@build_cpu@,i686,;t t
510s,@build_vendor@,pc,;t t
511s,@build_os@,linux-gnu,;t t
512s,@host@,i686-pc-linux-gnu,;t t
513s,@host_cpu@,i686,;t t
514s,@host_vendor@,pc,;t t
515s,@host_os@,linux-gnu,;t t
516s,@CC@,gcc,;t t
517s,@CFLAGS@,-g -O2,;t t
518s,@LDFLAGS@,,;t t
519s,@CPPFLAGS@,,;t t
520s,@ac_ct_CC@,gcc,;t t
521s,@EXEEXT@,,;t t
522s,@OBJEXT@,o,;t t
523s,@DEPDIR@,.deps,;t t
524s,@am__include@,include,;t t
525s,@am__quote@,,;t t
526s,@AMDEP_TRUE@,,;t t
527s,@AMDEP_FALSE@,#,;t t
528s,@AMDEPBACKSLASH@,\,;t t
529s,@CCDEPMODE@,depmode=gcc3,;t t
530s,@am__fastdepCC_TRUE@,,;t t
531s,@am__fastdepCC_FALSE@,#,;t t
532s,@CPP@,gcc -E,;t t
533s,@EGREP@,grep -E,;t t
534s,@ALLOCA@,,;t t
535s,@LIBOBJS@,,;t t
536s,@LTLIBOBJS@,,;t t
537CEOF
538
539  # Split the substitutions into bite-sized pieces for seds with
540  # small command number limits, like on Digital OSF/1 and HP-UX.
541  ac_max_sed_lines=48
542  ac_sed_frag=1 # Number of current file.
543  ac_beg=1 # First line for current file.
544  ac_end=$ac_max_sed_lines # Line after last line for current file.
545  ac_more_lines=:
546  ac_sed_cmds=
547  while $ac_more_lines; do
548    if test $ac_beg -gt 1; then
549      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
550    else
551      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
552    fi
553    if test ! -s $tmp/subs.frag; then
554      ac_more_lines=false
555    else
556      # The purpose of the label and of the branching condition is to
557      # speed up the sed processing (if there are no `@' at all, there
558      # is no need to browse any of the substitutions).
559      # These are the two extra sed commands mentioned above.
560      (echo ':t
561  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
562      if test -z "$ac_sed_cmds"; then
563        ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
564      else
565        ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
566      fi
567      ac_sed_frag=`expr $ac_sed_frag + 1`
568      ac_beg=$ac_end
569      ac_end=`expr $ac_end + $ac_max_sed_lines`
570    fi
571  done
572  if test -z "$ac_sed_cmds"; then
573    ac_sed_cmds=cat
574  fi
575fi # test -n "$CONFIG_FILES"
576
577for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
578  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
579  case $ac_file in
580  - | *:- | *:-:* ) # input from stdin
581        cat >$tmp/stdin
582        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
583        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
584  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
585        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
586  * )   ac_file_in=$ac_file.in ;;
587  esac
588
589  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
590  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
591$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
592         X"$ac_file" : 'X\(//\)[^/]' \| \
593         X"$ac_file" : 'X\(//\)$' \| \
594         X"$ac_file" : 'X\(/\)' \| \
595         .     : '\(.\)' 2>/dev/null ||
596echo X"$ac_file" |
597    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
598          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
599          /^X\(\/\/\)$/{ s//\1/; q; }
600          /^X\(\/\).*/{ s//\1/; q; }
601          s/.*/./; q'`
602  { if $as_mkdir_p; then
603    mkdir -p "$ac_dir"
604  else
605    as_dir="$ac_dir"
606    as_dirs=
607    while test ! -d "$as_dir"; do
608      as_dirs="$as_dir $as_dirs"
609      as_dir=`(dirname "$as_dir") 2>/dev/null ||
610$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
611         X"$as_dir" : 'X\(//\)[^/]' \| \
612         X"$as_dir" : 'X\(//\)$' \| \
613         X"$as_dir" : 'X\(/\)' \| \
614         .     : '\(.\)' 2>/dev/null ||
615echo X"$as_dir" |
616    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
617          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
618          /^X\(\/\/\)$/{ s//\1/; q; }
619          /^X\(\/\).*/{ s//\1/; q; }
620          s/.*/./; q'`
621    done
622    test ! -n "$as_dirs" || mkdir $as_dirs
623  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
624echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
625   { (exit 1); exit 1; }; }; }
626
627  ac_builddir=.
628
629if test "$ac_dir" != .; then
630  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
631  # A "../" for each directory in $ac_dir_suffix.
632  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
633else
634  ac_dir_suffix= ac_top_builddir=
635fi
636
637case $srcdir in
638  .)  # No --srcdir option.  We are building in place.
639    ac_srcdir=.
640    if test -z "$ac_top_builddir"; then
641       ac_top_srcdir=.
642    else
643       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
644    fi ;;
645  [\\/]* | ?:[\\/]* )  # Absolute path.
646    ac_srcdir=$srcdir$ac_dir_suffix;
647    ac_top_srcdir=$srcdir ;;
648  *) # Relative path.
649    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
650    ac_top_srcdir=$ac_top_builddir$srcdir ;;
651esac
652case "$ac_dir" in
653.) ac_abs_builddir=$ac_builddir;;
654*)
655  case $ac_builddir in
656  .) ac_abs_builddir="$ac_dir";;
657  [\\/]* | ?:[\\/]* ) ac_abs_builddir=$ac_builddir;;
658  *) ac_abs_builddir="$ac_dir"/$ac_builddir;;
659  esac;;
660esac
661case "$ac_dir" in
662.) ac_abs_top_builddir=${ac_top_builddir}.;;
663*)
664  case ${ac_top_builddir}. in
665  .) ac_abs_top_builddir="$ac_dir";;
666  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
667  *) ac_abs_top_builddir="$ac_dir"/${ac_top_builddir}.;;
668  esac;;
669esac
670case "$ac_dir" in
671.) ac_abs_srcdir=$ac_srcdir;;
672*)
673  case $ac_srcdir in
674  .) ac_abs_srcdir="$ac_dir";;
675  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
676  *) ac_abs_srcdir="$ac_dir"/$ac_srcdir;;
677  esac;;
678esac
679case "$ac_dir" in
680.) ac_abs_top_srcdir=$ac_top_srcdir;;
681*)
682  case $ac_top_srcdir in
683  .) ac_abs_top_srcdir="$ac_dir";;
684  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
685  *) ac_abs_top_srcdir="$ac_dir"/$ac_top_srcdir;;
686  esac;;
687esac
688
689
690  case $INSTALL in
691  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
692  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
693  esac
694
695  if test x"$ac_file" != x-; then
696    { echo "$as_me:$LINENO: creating $ac_file" >&5
697echo "$as_me: creating $ac_file" >&6;}
698    rm -f "$ac_file"
699  fi
700  # Let's still pretend it is `configure' which instantiates (i.e., don't
701  # use $as_me), people would be surprised to read:
702  #    /* config.h.  Generated by config.status.  */
703  if test x"$ac_file" = x-; then
704    configure_input=
705  else
706    configure_input="$ac_file.  "
707  fi
708  configure_input=$configure_input"Generated from `echo $ac_file_in |
709                                     sed 's,.*/,,'` by configure."
710
711  # First look for the input files in the build tree, otherwise in the
712  # src tree.
713  ac_file_inputs=`IFS=:
714    for f in $ac_file_in; do
715      case $f in
716      -) echo $tmp/stdin ;;
717      [\\/$]*)
718         # Absolute (can't be DOS-style, as IFS=:)
719         test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
720echo "$as_me: error: cannot find input file: $f" >&2;}
721   { (exit 1); exit 1; }; }
722         echo "$f";;
723      *) # Relative
724         if test -f "$f"; then
725           # Build tree
726           echo "$f"
727         elif test -f "$srcdir/$f"; then
728           # Source tree
729           echo "$srcdir/$f"
730         else
731           # /dev/null tree
732           { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
733echo "$as_me: error: cannot find input file: $f" >&2;}
734   { (exit 1); exit 1; }; }
735         fi;;
736      esac
737    done` || { (exit 1); exit 1; }
738  sed "/^[       ]*VPATH[        ]*=/{
739s/:*\$(srcdir):*/:/;
740s/:*\${srcdir}:*/:/;
741s/:*@srcdir@:*/:/;
742s/^\([^=]*=[     ]*\):*/\1/;
743s/:*$//;
744s/^[^=]*=[       ]*$//;
745}
746
747:t
748/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
749s,@configure_input@,$configure_input,;t t
750s,@srcdir@,$ac_srcdir,;t t
751s,@abs_srcdir@,$ac_abs_srcdir,;t t
752s,@top_srcdir@,$ac_top_srcdir,;t t
753s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
754s,@builddir@,$ac_builddir,;t t
755s,@abs_builddir@,$ac_abs_builddir,;t t
756s,@top_builddir@,$ac_top_builddir,;t t
757s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
758s,@INSTALL@,$ac_INSTALL,;t t
759" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
760  rm -f $tmp/stdin
761  if test x"$ac_file" != x-; then
762    mv $tmp/out $ac_file
763  else
764    cat $tmp/out
765    rm -f $tmp/out
766  fi
767
768done
769
770#
771# CONFIG_HEADER section.
772#
773
774# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
775# NAME is the cpp macro being defined and VALUE is the value it is being given.
776#
777# ac_d sets the value in "#define NAME VALUE" lines.
778ac_dA='s,^\([    ]*\)#\([        ]*define[       ][      ]*\)'
779ac_dB='[         ].*$,\1#\2'
780ac_dC=' '
781ac_dD=',;t'
782# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
783ac_uA='s,^\([    ]*\)#\([        ]*\)undef\([    ][      ]*\)'
784ac_uB='$,\1#\2define\3'
785ac_uC=' '
786ac_uD=',;t'
787
788for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
789  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
790  case $ac_file in
791  - | *:- | *:-:* ) # input from stdin
792        cat >$tmp/stdin
793        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
794        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
795  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
796        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
797  * )   ac_file_in=$ac_file.in ;;
798  esac
799
800  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
801echo "$as_me: creating $ac_file" >&6;}
802
803  # First look for the input files in the build tree, otherwise in the
804  # src tree.
805  ac_file_inputs=`IFS=:
806    for f in $ac_file_in; do
807      case $f in
808      -) echo $tmp/stdin ;;
809      [\\/$]*)
810         # Absolute (can't be DOS-style, as IFS=:)
811         test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
812echo "$as_me: error: cannot find input file: $f" >&2;}
813   { (exit 1); exit 1; }; }
814         # Do quote $f, to prevent DOS paths from being IFS'd.
815         echo "$f";;
816      *) # Relative
817         if test -f "$f"; then
818           # Build tree
819           echo "$f"
820         elif test -f "$srcdir/$f"; then
821           # Source tree
822           echo "$srcdir/$f"
823         else
824           # /dev/null tree
825           { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
826echo "$as_me: error: cannot find input file: $f" >&2;}
827   { (exit 1); exit 1; }; }
828         fi;;
829      esac
830    done` || { (exit 1); exit 1; }
831  # Remove the trailing spaces.
832  sed 's/[       ]*$//' $ac_file_inputs >$tmp/in
833
834  # Handle all the #define templates only if necessary.
835  if grep "^[    ]*#[    ]*define" $tmp/in >/dev/null; then
836  # If there are no defines, we may have an empty if/fi
837  :
838  cat >$tmp/defines.sed <<CEOF
839/^[      ]*#[    ]*define/!b
840t clr
841: clr
842${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
843${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
844${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
845${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
846${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
847${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"orxonox"${ac_dD}
848${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.0.0"${ac_dD}
849${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
850${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
851${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
852${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
853${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
854${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
855${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
856${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
857${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
858${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
859${ac_dA}HAVE_SYS_PARAM_H${ac_dB}HAVE_SYS_PARAM_H${ac_dC}1${ac_dD}
860${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
861${ac_dA}HAVE_TIME_H${ac_dB}HAVE_TIME_H${ac_dC}1${ac_dD}
862${ac_dA}HAVE_SYS_SYSMACROS_H${ac_dB}HAVE_SYS_SYSMACROS_H${ac_dC}1${ac_dD}
863${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
864${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
865${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
866${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
867${ac_dA}HAVE_ALLOCA_H${ac_dB}HAVE_ALLOCA_H${ac_dC}1${ac_dD}
868${ac_dA}HAVE_LOCALE_H${ac_dB}HAVE_LOCALE_H${ac_dC}1${ac_dD}
869${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
870${ac_dA}HAVE_UTIME_H${ac_dB}HAVE_UTIME_H${ac_dC}1${ac_dD}
871${ac_dA}HAVE_STRUCT_UTIMBUF${ac_dB}HAVE_STRUCT_UTIMBUF${ac_dC}1${ac_dD}
872${ac_dA}HAVE_ALLOCA_H${ac_dB}HAVE_ALLOCA_H${ac_dC}1${ac_dD}
873${ac_dA}HAVE_ALLOCA${ac_dB}HAVE_ALLOCA${ac_dC}1${ac_dD}
874${ac_dA}HAVE_STRUCT_STAT_ST_BLOCKS${ac_dB}HAVE_STRUCT_STAT_ST_BLOCKS${ac_dC}1${ac_dD}
875${ac_dA}HAVE_ST_BLOCKS${ac_dB}HAVE_ST_BLOCKS${ac_dC}1${ac_dD}
876${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
877${ac_dA}HAVE_MKFIFO${ac_dB}HAVE_MKFIFO${ac_dC}1${ac_dD}
878CEOF
879  sed -f $tmp/defines.sed $tmp/in >$tmp/out
880  rm -f $tmp/in
881  mv $tmp/out $tmp/in
882
883  fi # grep
884
885  # Handle all the #undef templates
886  cat >$tmp/undefs.sed <<CEOF
887/^[      ]*#[    ]*undef/!b
888t clr
889: clr
890${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
891${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
892${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
893${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
894${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
895${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"orxonox"${ac_uD}
896${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.0.0"${ac_uD}
897${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
898${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
899${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
900${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
901${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
902${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
903${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
904${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
905${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
906${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
907${ac_uA}HAVE_SYS_PARAM_H${ac_uB}HAVE_SYS_PARAM_H${ac_uC}1${ac_uD}
908${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
909${ac_uA}HAVE_TIME_H${ac_uB}HAVE_TIME_H${ac_uC}1${ac_uD}
910${ac_uA}HAVE_SYS_SYSMACROS_H${ac_uB}HAVE_SYS_SYSMACROS_H${ac_uC}1${ac_uD}
911${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
912${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
913${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
914${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
915${ac_uA}HAVE_ALLOCA_H${ac_uB}HAVE_ALLOCA_H${ac_uC}1${ac_uD}
916${ac_uA}HAVE_LOCALE_H${ac_uB}HAVE_LOCALE_H${ac_uC}1${ac_uD}
917${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
918${ac_uA}HAVE_UTIME_H${ac_uB}HAVE_UTIME_H${ac_uC}1${ac_uD}
919${ac_uA}HAVE_STRUCT_UTIMBUF${ac_uB}HAVE_STRUCT_UTIMBUF${ac_uC}1${ac_uD}
920${ac_uA}HAVE_ALLOCA_H${ac_uB}HAVE_ALLOCA_H${ac_uC}1${ac_uD}
921${ac_uA}HAVE_ALLOCA${ac_uB}HAVE_ALLOCA${ac_uC}1${ac_uD}
922${ac_uA}HAVE_STRUCT_STAT_ST_BLOCKS${ac_uB}HAVE_STRUCT_STAT_ST_BLOCKS${ac_uC}1${ac_uD}
923${ac_uA}HAVE_ST_BLOCKS${ac_uB}HAVE_ST_BLOCKS${ac_uC}1${ac_uD}
924${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
925${ac_uA}HAVE_MKFIFO${ac_uB}HAVE_MKFIFO${ac_uC}1${ac_uD}
926s,^[     ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
927CEOF
928  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
929  rm -f $tmp/in
930  mv $tmp/out $tmp/in
931
932  # Let's still pretend it is `configure' which instantiates (i.e., don't
933  # use $as_me), people would be surprised to read:
934  #    /* config.h.  Generated by config.status.  */
935  if test x"$ac_file" = x-; then
936    echo "/* Generated by configure.  */" >$tmp/config.h
937  else
938    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
939  fi
940  cat $tmp/in >>$tmp/config.h
941  rm -f $tmp/in
942  if test x"$ac_file" != x-; then
943    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
944      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
945echo "$as_me: $ac_file is unchanged" >&6;}
946    else
947      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
948$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
949         X"$ac_file" : 'X\(//\)[^/]' \| \
950         X"$ac_file" : 'X\(//\)$' \| \
951         X"$ac_file" : 'X\(/\)' \| \
952         .     : '\(.\)' 2>/dev/null ||
953echo X"$ac_file" |
954    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
955          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
956          /^X\(\/\/\)$/{ s//\1/; q; }
957          /^X\(\/\).*/{ s//\1/; q; }
958          s/.*/./; q'`
959      { if $as_mkdir_p; then
960    mkdir -p "$ac_dir"
961  else
962    as_dir="$ac_dir"
963    as_dirs=
964    while test ! -d "$as_dir"; do
965      as_dirs="$as_dir $as_dirs"
966      as_dir=`(dirname "$as_dir") 2>/dev/null ||
967$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
968         X"$as_dir" : 'X\(//\)[^/]' \| \
969         X"$as_dir" : 'X\(//\)$' \| \
970         X"$as_dir" : 'X\(/\)' \| \
971         .     : '\(.\)' 2>/dev/null ||
972echo X"$as_dir" |
973    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
974          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
975          /^X\(\/\/\)$/{ s//\1/; q; }
976          /^X\(\/\).*/{ s//\1/; q; }
977          s/.*/./; q'`
978    done
979    test ! -n "$as_dirs" || mkdir $as_dirs
980  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
981echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
982   { (exit 1); exit 1; }; }; }
983
984      rm -f $ac_file
985      mv $tmp/config.h $ac_file
986    fi
987  else
988    cat $tmp/config.h
989    rm -f $tmp/config.h
990  fi
991# Compute $ac_file's index in $config_headers.
992_am_stamp_count=1
993for _am_header in $config_headers :; do
994  case $_am_header in
995    $ac_file | $ac_file:* )
996      break ;;
997    * )
998      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
999  esac
1000done
1001echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1002$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1003         X$ac_file : 'X\(//\)[^/]' \| \
1004         X$ac_file : 'X\(//\)$' \| \
1005         X$ac_file : 'X\(/\)' \| \
1006         .     : '\(.\)' 2>/dev/null ||
1007echo X$ac_file |
1008    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1009          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1010          /^X\(\/\/\)$/{ s//\1/; q; }
1011          /^X\(\/\).*/{ s//\1/; q; }
1012          s/.*/./; q'`/stamp-h$_am_stamp_count
1013done
1014
1015#
1016# CONFIG_COMMANDS section.
1017#
1018for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1019  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1020  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1021  ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1022$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1023         X"$ac_dest" : 'X\(//\)[^/]' \| \
1024         X"$ac_dest" : 'X\(//\)$' \| \
1025         X"$ac_dest" : 'X\(/\)' \| \
1026         .     : '\(.\)' 2>/dev/null ||
1027echo X"$ac_dest" |
1028    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1029          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1030          /^X\(\/\/\)$/{ s//\1/; q; }
1031          /^X\(\/\).*/{ s//\1/; q; }
1032          s/.*/./; q'`
1033  { if $as_mkdir_p; then
1034    mkdir -p "$ac_dir"
1035  else
1036    as_dir="$ac_dir"
1037    as_dirs=
1038    while test ! -d "$as_dir"; do
1039      as_dirs="$as_dir $as_dirs"
1040      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1041$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1042         X"$as_dir" : 'X\(//\)[^/]' \| \
1043         X"$as_dir" : 'X\(//\)$' \| \
1044         X"$as_dir" : 'X\(/\)' \| \
1045         .     : '\(.\)' 2>/dev/null ||
1046echo X"$as_dir" |
1047    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1048          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1049          /^X\(\/\/\)$/{ s//\1/; q; }
1050          /^X\(\/\).*/{ s//\1/; q; }
1051          s/.*/./; q'`
1052    done
1053    test ! -n "$as_dirs" || mkdir $as_dirs
1054  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1055echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1056   { (exit 1); exit 1; }; }; }
1057
1058  ac_builddir=.
1059
1060if test "$ac_dir" != .; then
1061  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1062  # A "../" for each directory in $ac_dir_suffix.
1063  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1064else
1065  ac_dir_suffix= ac_top_builddir=
1066fi
1067
1068case $srcdir in
1069  .)  # No --srcdir option.  We are building in place.
1070    ac_srcdir=.
1071    if test -z "$ac_top_builddir"; then
1072       ac_top_srcdir=.
1073    else
1074       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1075    fi ;;
1076  [\\/]* | ?:[\\/]* )  # Absolute path.
1077    ac_srcdir=$srcdir$ac_dir_suffix;
1078    ac_top_srcdir=$srcdir ;;
1079  *) # Relative path.
1080    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1081    ac_top_srcdir=$ac_top_builddir$srcdir ;;
1082esac
1083case "$ac_dir" in
1084.) ac_abs_builddir=$ac_builddir;;
1085*)
1086  case $ac_builddir in
1087  .) ac_abs_builddir="$ac_dir";;
1088  [\\/]* | ?:[\\/]* ) ac_abs_builddir=$ac_builddir;;
1089  *) ac_abs_builddir="$ac_dir"/$ac_builddir;;
1090  esac;;
1091esac
1092case "$ac_dir" in
1093.) ac_abs_top_builddir=${ac_top_builddir}.;;
1094*)
1095  case ${ac_top_builddir}. in
1096  .) ac_abs_top_builddir="$ac_dir";;
1097  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1098  *) ac_abs_top_builddir="$ac_dir"/${ac_top_builddir}.;;
1099  esac;;
1100esac
1101case "$ac_dir" in
1102.) ac_abs_srcdir=$ac_srcdir;;
1103*)
1104  case $ac_srcdir in
1105  .) ac_abs_srcdir="$ac_dir";;
1106  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1107  *) ac_abs_srcdir="$ac_dir"/$ac_srcdir;;
1108  esac;;
1109esac
1110case "$ac_dir" in
1111.) ac_abs_top_srcdir=$ac_top_srcdir;;
1112*)
1113  case $ac_top_srcdir in
1114  .) ac_abs_top_srcdir="$ac_dir";;
1115  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1116  *) ac_abs_top_srcdir="$ac_dir"/$ac_top_srcdir;;
1117  esac;;
1118esac
1119
1120
1121  { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1122echo "$as_me: executing $ac_dest commands" >&6;}
1123  case $ac_dest in
1124    depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1125  # Strip MF so we end up with the name of the file.
1126  mf=`echo "$mf" | sed -e 's/:.*$//'`
1127  # Check whether this is an Automake generated Makefile or not.
1128  # We used to match only the files named `Makefile.in', but
1129  # some people rename them; so instead we look at the file content.
1130  # Grep'ing the first line is not enough: some people post-process
1131  # each Makefile.in and add a new line on top of each file to say so.
1132  # So let's grep whole file.
1133  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1134    dirpart=`(dirname "$mf") 2>/dev/null ||
1135$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1136         X"$mf" : 'X\(//\)[^/]' \| \
1137         X"$mf" : 'X\(//\)$' \| \
1138         X"$mf" : 'X\(/\)' \| \
1139         .     : '\(.\)' 2>/dev/null ||
1140echo X"$mf" |
1141    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1142          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1143          /^X\(\/\/\)$/{ s//\1/; q; }
1144          /^X\(\/\).*/{ s//\1/; q; }
1145          s/.*/./; q'`
1146  else
1147    continue
1148  fi
1149  grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
1150  # Extract the definition of DEP_FILES from the Makefile without
1151  # running `make'.
1152  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1153  test -z "$DEPDIR" && continue
1154  # When using ansi2knr, U may be empty or an underscore; expand it
1155  U=`sed -n 's/^U = //p' < "$mf"`
1156  test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
1157  # We invoke sed twice because it is the simplest approach to
1158  # changing $(DEPDIR) to its actual value in the expansion.
1159  for file in `sed -n '
1160    /^DEP_FILES = .*\\\\$/ {
1161      s/^DEP_FILES = //
1162      :loop
1163        s/\\\\$//
1164        p
1165        n
1166        /\\\\$/ b loop
1167      p
1168    }
1169    /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1170       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1171    # Make sure the directory exists.
1172    test -f "$dirpart/$file" && continue
1173    fdir=`(dirname "$file") 2>/dev/null ||
1174$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1175         X"$file" : 'X\(//\)[^/]' \| \
1176         X"$file" : 'X\(//\)$' \| \
1177         X"$file" : 'X\(/\)' \| \
1178         .     : '\(.\)' 2>/dev/null ||
1179echo X"$file" |
1180    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1181          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1182          /^X\(\/\/\)$/{ s//\1/; q; }
1183          /^X\(\/\).*/{ s//\1/; q; }
1184          s/.*/./; q'`
1185    { if $as_mkdir_p; then
1186    mkdir -p $dirpart/$fdir
1187  else
1188    as_dir=$dirpart/$fdir
1189    as_dirs=
1190    while test ! -d "$as_dir"; do
1191      as_dirs="$as_dir $as_dirs"
1192      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1193$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1194         X"$as_dir" : 'X\(//\)[^/]' \| \
1195         X"$as_dir" : 'X\(//\)$' \| \
1196         X"$as_dir" : 'X\(/\)' \| \
1197         .     : '\(.\)' 2>/dev/null ||
1198echo X"$as_dir" |
1199    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1200          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1201          /^X\(\/\/\)$/{ s//\1/; q; }
1202          /^X\(\/\).*/{ s//\1/; q; }
1203          s/.*/./; q'`
1204    done
1205    test ! -n "$as_dirs" || mkdir $as_dirs
1206  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1207echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1208   { (exit 1); exit 1; }; }; }
1209
1210    # echo "creating $dirpart/$file"
1211    echo '# dummy' > "$dirpart/$file"
1212  done
1213done
1214 ;;
1215  esac
1216done
1217
1218{ (exit 0); exit 0; }
Note: See TracBrowser for help on using the repository browser.